Headless LMS

Get a short-lived presigned URL to serve an asset to the student

POST /api/learn/assets/{id}/url. Get a short-lived presigned URL to serve an asset to the student. Headless LMS Assets API reference.

POST
/api/learn/assets/{id}/url

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/learn/assets/string/url"
{  "url": "string",  "asset": {    "orgId": "string",    "id": "string",    "key": "string",    "kind": "video",    "filename": "string",    "contentType": "string",    "size": 0,    "status": "pending",    "uploadedBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}